Bug 427904 - XMLRPC function getProdCompDetails
XMLRPC function getProdCompDetails
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks: RHBZ30UpgradeTracker 406131 427053
  Show dependency treegraph
 
Reported: 2008-01-07 21:03 EST by Noura El hawary
Modified: 2013-06-24 00:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 16:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noura El hawary 2008-01-07 21:03:15 EST
write xmlrpc function getProdCompDetails that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls
Comment 1 Noura El hawary 2008-01-12 01:45:08 EST
from the upstream conversations they would like to have function called
get_components() 
https://bugzilla.mozilla.org/show_bug.cgi?id=385282

I think that this function can replace our getProdCompDetails() and also
gerProdCompInfo() ,, as basically those 2 functions of ours do the same thing
only different in what they return, getProdCompDetails() takes product id and
returns componets details which are name, initialqacontact, initialowner,
initialcclist and description . whereas gerProdCompInfo() takes the product id
and returns only components details which are name and description, the user
authentication and access required is similar between the 2 functions. My
suggestion would be to have get_components() function that will do similar job
to our getProdCompDetails() with the comprehensive component details return, and
ofcourse the difference will be that the function will use the upstream Bugzilla
modules Product.pm and Component.pm to do the work instead of using SQL queries
as how it is currently in our code. I started the discussion with the upstream
about it and will see what they will say.

Comment 2 David Lawrence 2008-03-18 16:25:34 EDT
Released in Milestone 2. Any new bugs found with these features should be
reported as new bug reports.
Comment 3 David Lawrence 2008-03-18 16:33:31 EDT
This feature is included now in Milestone 2. Any bugs found with this feature
should be file as a new report and set to block the 3.2 final release tracker.

Note You need to log in before you can comment on or make changes to this bug.